---
updatedAt: 2026-08-07T12:08:54.000Z
---

# (Early Access) Returns the config state of an application registration

Returns the config state of an application registration

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Event Portal - API Management",
    "description": "There is an increasing need to provide Event APIs to complement existing synchronous APIs - REST, GraphQL - to give apps more real-time access to data without the need for polling.\n\nTypically API providers like to integrate Event APIs into existing Developer Portals so that developers can explore and gain access to Event APIs similarly to how they get access to other APIs.\n\nThe APIM/DevPortal API provides access to Solace Event Portal for integration with API Management platforms, API Marketplaces or Developer Portals. It provides a simplified interaction and object model aligned with Management APIs provided by API Management platforms.\n\nEvent APIs are documented using the Async API 2.x standard - a format that is increasingly supported by API-M vendors and open source developer portals such as backstage.io\n\n### Changelog 2.0.0-ea.32\n* Added PUT verb to `/appRegistrations/{registrationId}/accessRequests/{accessRequestId}` to upgrade access requests to the latest version of their associated Event API Product.\n  * The endpoint allows specifying an optional plan ID to use in the latest product version. \n  * If no plan ID is provided, the system automatically matches plans by name from the previous version.\n  * Runtime configuration is automatically synchronized upon successful upgrade.\n\n### Changelog 2.0.0-ea.31\n* Experimental: Added \"apiStyle\" query parameter to resources that return asyncapi specifications. The parameter is optional and currently supported styles are \"default\" and \"sap-ecosystem\". \n  Marked as deprecated to indicate that this is an experimental feature and the parameter may be removed or changed in future releases.\n\n### Changelog 2.0.0-ea.30\n* Restrict number of credentials to one set due to Event Portal restrictions of one client username per application.\n** Modified behavior of `/appRegistrations/{registrationId}/credentials` resaources limiting the number of managed credentials to one set. \n** API definition remains unchanged.\n\n### Changelog 2.0.0-ea.29\n* Fixed inconsistent maxLength of registrationId\n\n### Changelog 2.0.0-ea.28\n* Fixed some regular expressions that led to code gen errors using Swagger codegen for Java\n\n### Changelog 2.0.0-ea.27\n* Usage of \"Early Access\" qualifier in descriptions to comply with Solace Cloud API standards\n* Changed title of API spec to desired heading in the official docs site\n\n### Changelog 2.0.0-ea.26\n* Added resources from previously private management APIs. \n  * `/gateways` supports setting SEMPv2 secret for Gateway Brokers\n  * GET `/gateways/{messagingServiceId}/status` returns connection status to a Gateway Broker\n  * POST `/gateways/authentication` allows to set SEMPv2 authentication mechanism to Basic Auth (default) or API Key\n  * GET `/appRegistrations/{registrationId}/configState` returns the configuration that was created to represent the applicaiton registration on Gateway brokers and if it was aplied successfully\n\n### Changelog 2.0.0-ea.25\n* Improve readability as moving to EA in Solace Cloud \n* Added API description section\n\n### Changelog 2.0.0-ea.24\n* Allow shorter `protocolVersion` in `MessagingServiceConnection` to mirror EP Runtime Manager schema.\n\n### Changelog 2.0.0-ea.23\n* Added `filters` property to `EventApiProductRegistrationCreate` request schema for `/appRegistrations/{registrationId}/accessRequests`\n\n### Changelog 2.0.0-ea.22\n* Fixed HTTP response status code of POST requests, all returned status codes are now `201 - Created``\n\n### Changelog 2.0.0-ea.21\n* The responses of the `accessRequests` sub resource of `appRegistrations` was changed to return `EventApiProductRegistrationDetail`. \n  This schema extends the data previously returned to include effective topic permissions associated with the access request and also the message service connections across \n  all gateway messaging services that are accessible.\n\n### Changelog 2.0.0-ea.20\n* Restricted length of `registrationId` to a maximum of 32 characters to meet restrictions of ACL profile names on PSB+ Brokers.\n\n### Changelog 2.0.0-ea.19\n* **Includes breaking changes**\n* Breaking change to the `EventApiProductRegistration` schema(s) - the `resourceInformation` property is replaced by two new properties - `eventApiProductResourceInformation` and `eventApiResourceInformation`.\n`eventApiProductResourceInformation` is present and populated if the plan associated with the `EventApiProductRegistration` has `queueType` combined.\nIf the `queueType` is `single` the `eventApiResourceInformation` contains an array of reource information per associated EventApi.\n* `GuaranteedMessagingInformation` schema now specifices required properties. Also amended `eventApiId` property description.\n* Removed the `Candidates` tag and resources tagged as candidates. \n\n### Changelog 2.0.0-ea.18\n* Added filters to `EventApiProductRegistration` and a sub resource `/appRegistrations/{registrationId}/accessRequests/{accessRequestId}/filters` to manage filters \n* Updated description of `where` parameter.\n\n### Changelog 2.0.0-ea.17\n* Modified `APIParameterFilterValue` reg ex pattern to only allow valid expressions for a single Solace topic level - excluding NULL, `/`, `>`, `!` characters as well as allowing use of the `*` wildcard only at the end of the value. \n\n### Changelog 2.0.0-ea.16\n* **Includes breaking changes**\n* **Removed** filters from `EventApiProduct` schema (**breaking change**). Clients should use the `apiParameters` property to discover which parameters are available for filtering.\n  The `apiParameters` are populated with existing filters defined in Event Portal and the schema was amended to specify the type of the parameter (enum or unbounded) in addition to the data type of the parameter.\n  As a consequence the following changes (**breaking changes**) were made in the `APIParameter` schema: `type` is renamed to `dataType`, `parameterType` was added.\n  The `values` area of the `APIParameter` schema contains the allowed values for an `enum` parameter with restrictions applied as set up in the filters of the Event API Product in Event Portal. The values array contains the filter as set up in Event Portal - either containing a single entry or multiple entries if the filter value defined in Event Portal is a comma separated list.\n* **Renamed filter related schemas** (**breaking change**) used by resources related to `Registrations`. `TopicFilter` renamed to `APIParameterFilter`, `filterValues` renamed to `values` for consistency with `APIParameter` schema.\n* Updated description of the RSQL `where` parameter to reflect simplified queries on arrays of key/value pairs (attributes, customAttributes)\n\n### Changelog 2.0.0-ea.15\n* Removed `filters` from App Registration POST/create.\n* Changed `APIParameter` schema to align with topic filters naming - changed `enum` to `values`\n* Cleaned up enums that contained duplicate values\n\n### Changelog 2.0.0-ea.14\n* Added `filters` to App Registration and a sub resource to manage inidividual filters.\n* Cosmetic changes in descriptions\n\n### Changelog 2.0.0-ea.13\n* Made `eventApiProductVersion` in the `EventApiProductRegistration` required to indicate this value will always be included in responses from the API\n* Made `name` attribute on `EventApiVersion` mandatory, `displayName` is now optional.\n* Added `apiParameters` to the `EventAPIProduct` schema listing all channel parameters and when applicable enumerations associated with the parameter.\n\n### Changelog 2.0.0-ea.12\n* Changed name of RSQL query parameter to from `query` to `where`\n* Increased maxLength of `CommonId` and `CommonExternalId` to accommodate uuids and other longer identifiers\n* Removed `registrationId` from `EventApiProductRegistrationCreate` as it's already contained in the resource URL\n* Aligned the `MessagingServiceProtocol` with Async APi protocols\n* Fixed the credentials resources schemas to indicate in responses which properties will be present/required (secret is required, consumerSecret is also required ) \n* Renamed `WebHook` to `Webhook` in schema names and operaiton ids and `webHook` to `webhook` in urls.\n\n### Changelog 2.0.0-ea.11\n* Removed `nullable: true` in schemas - most references were optional so clients needed to check both for presence and null value. API Implementations shouyld not emit null values for optional properties\n* Aligned the `MessageProtocol` enumeration with Async API protocols\n* Fixed `AttributeValue` restrictions (max lenght 10K characters) and the schema description\n\n### Changelog 2.0.0-ea.10\n* Removed all schema composition elements such as allOf/anyOf where possible. Usage of these constructs - especially combined with `additionalProperties: false` - led to problems wiht code generation (Go) and request/response validation (with ajv)\n* Apart from the `WebHook` schemas `authentication` property the resulting schemas are equivalent to the previous version.\n\n### Changelog 2.0.0-ea.9\n* Added lifecycle state to `EventApiProductSummary`\n* Added `gatewayMessagingService` to `AppRegistrationView`. This property contains a list of all gateways available to an `ApplicationRegistration` and all the publish/subscribe permissions granted on each service\n\n### Changelog 2.0.0-ea.8\n* Introduced a `MessagingProtocol` enumeration referenced by both `EventAPIProduct` and `MessagingService`\n* Made arrays mandatory such as `attributes` and `customAttributes`, the API returns empty arrays as default if no elements are present.\n* Added explanation on how to use custom `=regex=` operator in RSQL/FIQL queries, the previously used operator (`=~`) is not compliant.\n\n### Changelog 2.0.0-ea.7\n* Renamed `MessageServiceResponse` and `MessagingServciesResponse` to `GatewayResponse` and `GatewaysResponse` respectively\n* Fixed `MessagingService` schema to replace `messagingServiceType` with `brokerType` for consistency with `EventApiProduct` schema.\n* For the `query` parameter - set allowReserved: true to accommodate clients that do not URL encode reserved characters (* etc)\n* Renamed parameter `gatewayMessagingServiceId`  to `messagingServiceId` in resource `GET gateways/{messagingServiceId}` for consistency with `EventAPIProduct` schema\n\n### Changelog 2.0.0-ea.6\n* Aligned operatonId and schmea names with `/eventApiProducts/{eventApiProductId}/history` resource eliminating use of `Version` in schemas and using `History` where appropriate\n* Added missing 422 response to `/eventApiProducts/{eventApiProductId}/attributes`\n* Fixed response type of `/appRegistrations/{registrationId}/webhooks` and `/appRegistrations/{registrationId}/webhooks/{webhookId}`\n* Removed required attributes of `SolaceClassOfServicePolicy` schema to support `Direct` mode policies\n* Made several schema properties `nullable` in-line with EP 2.0 API's schemas\n* Added documentation to `Pagination` schema\n\n### Changelog 2.0.0-ea.5\n* Removed customAttributes from /appRegistration and /appRegistration/{registrationId} resources' payloads\n* Removed customAttributes and attributes from /appRegistration/{registrationId}/accessRequests and /appRegistration/{registrationId}/accessRequestsresources/{accessRequestId}' payloads\n* Added eventApis resource to accessRequests  /appRegistration/{registrationId}/accessRequestsresources/{accessRequestId}/eventApis' \n* Added client information element (queue informaiton for presistent messaging) to reponse of access requests\n* Webhook schema changes: added `appendTopic` property, changed the `nevironments` property to `gatewayMessagingServiceIds`\n* Added descriptions and summaries to all resources\n* Removed `versioned attributes`  as there are currently no use cases known\n",
    "version": "2.0.0-ea.32"
  },
  "servers": [
    {
      "url": "https://apim-production-api.solace.cloud/api/v2/apim"
    },
    {
      "url": "/api/v2/apim"
    }
  ],
  "security": [
    {
      "OpenId": []
    },
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Registrations",
      "description": "Manage Developer Portal application registrations and  access requests to Event API Products"
    }
  ],
  "paths": {
    "/appRegistrations/{registrationId}/configState": {
      "parameters": [
        {
          "$ref": "#/components/parameters/registrationId"
        }
      ],
      "get": {
        "summary": "(Early Access) Returns the config state of an application registration",
        "description": "Returns the config state of an application registration",
        "operationId": "getApplicationRegistrationConfigState",
        "tags": [
          "Registrations"
        ],
        "responses": {
          "200": {
            "description": "the config state of an application registration",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ConfigState"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "406": {
            "$ref": "#/components/responses/NotAcceptable"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          },
          "504": {
            "$ref": "#/components/responses/GatewayTimeout"
          },
          "default": {
            "description": "the config state of an application registration",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ConfigState"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "OpenId": {
        "type": "openIdConnect",
        "openIdConnectUrl": "/auth/.well-known/openid-configuration"
      }
    },
    "parameters": {
      "registrationId": {
        "name": "registrationId",
        "description": "the id of an Application Registration",
        "in": "path",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/CommonExternalId"
        }
      }
    },
    "responses": {
      "Unauthorized": {
        "description": "Unauthorized.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "NotAcceptable": {
        "description": "Not Acceptable.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "Too many requests.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "InternalServerError": {
        "description": "Internal Server Error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "Service Unavailable.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "GatewayTimeout": {
        "description": "Gateway Timeout.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      }
    },
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "required": [
          "message",
          "errorId"
        ],
        "additionalProperties": false,
        "properties": {
          "message": {
            "type": "string",
            "example": "An error occurred",
            "minLength": 4,
            "maxLength": 256
          },
          "errorId": {
            "type": "string",
            "example": "123e4567-e89b-12d3-a456-426655440000",
            "minLength": 2,
            "maxLength": 64
          },
          "meta": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "example": "'object': { 'field': 'description' }",
              "additionalProperties": true
            },
            "example": "'object': { 'field': 'description' }"
          },
          "validationDetails": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "minItems": 0,
              "maxItems": 1024,
              "example": "'name': ['Not unique']",
              "items": {
                "type": "string",
                "example": "'name': ['Not unique']",
                "minLength": 4,
                "maxLength": 32768
              }
            },
            "example": "'name': ['Not unique']"
          }
        }
      },
      "ConfigState": {
        "additionalProperties": true,
        "properties": {
          "applied": {
            "type": "boolean"
          },
          "errors": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "configuration": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "entityReference": {
            "type": "object",
            "properties": {
              "entityId": {
                "type": "string"
              },
              "entityType": {
                "type": "string"
              },
              "entityVersionId": {
                "type": "string"
              }
            }
          }
        }
      },
      "CommonExternalId": {
        "type": "string",
        "description": "Id attribute as supplied by the APi Client",
        "example": "n8kg4fjka9r",
        "pattern": "^[a-zA-Z0-9_\\-]*(@[ |\\S]*)?$",
        "minLength": 2,
        "maxLength": 64
      }
    }
  }
}
```